stages:
  - stage1
  - stage2
  - stage3

job1:
  stage: stage1
  script:
    - echo "this is an automatic job"

manual_job:
  stage: stage2
  script:
    - echo "This is a manual job which doesn't start automatically, and the pipeline can complete without it starting."
  when: manual # This setting turns a job into a manual one
  allow_failure: false

test:
  stage: stage3
  script:
    - echo "This is a manual job which doesn't start automatically, and the pipeline can complete without it starting."